Bug 45247 - upgrate XFree86 to 4.1.0. video card of i740 can not work
upgrate XFree86 to 4.1.0. video card of i740 can not work
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86-Servers (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-20 21:54 EDT by cuiyan
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-22 00:11:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cuiyan 2001-06-20 21:54:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
when upgrated XFree86 4.0.3 to 4.1.0, the driver for i740 did not work. 

How reproducible:
Always

Steps to Reproduce:
1.compile the XFree86-4.1.0 on Redhat7.1

2.upgrade XFree86-4.0.3 to 4.1.0
3.configure the i740 video card on XFree86-4.1.0
4 startx 
5 crash	

Additional info:
Comment 1 Mike A. Harris 2001-06-21 09:05:08 EDT
Can you attach your XF86Config-4 and your X server log using the link
below?  The i740 driver doesn't appear to have changed much from 4.0.3
to 4.1.0 except for being converted from cfb to fb.  Only minor driver
changes have occured.  Perhaps there are driver bugs that cfb masked,
or perhaps it is a deeper issue with the driver.  Once I get your info,
I can look deeper.

In the mean time I seem to have discovered a bug or at least a potential
bug.  The fbSymbols[] contains cfb symbols that should not be there.  This
was changed from cfbSymbols from the 4.0.3 driver, and should not have been
removed, but conditionalized instead.  I dunno if it fixes anything serious
or no though.  Also, LoaderRefSymLists() is passed fbSymbols correctly, but
if you undef USE_FB, it still tries to load fbSymbols instead of cfbSymbols.
If you try changing any of this and notice anything good, please let me know
by updating the report.

I will try to test it out myself, but it won't likely be for a while.

Comment 2 cuiyan 2001-06-22 00:11:48 EDT
XFree86.0.log
XFree86 Version 4.1.0 (Red Hat Linux release: 4.1.0-1hlc) / X Window System
(protocol Version 11, revision 0, vendor release 6510)
Release Date: 2 June 2001
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/FAQ)
Build Operating System: Linux 2.4.2-2 i686 [ELF] 
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Fri Jun 22 12:08:17 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Legend 107S"
(**) |   |-->Device "Intel 740 (generic)"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(==) Keyboard: CustomKeycode disabled
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Open APM successful
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.1
	XFree86 Video Driver: 0.4
	XFree86 XInput driver : 0.2
	XFree86 Server Extension : 0.1
	XFree86 Font Renderer : 0.2
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.2
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x80000058, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,7190 card 0000,0000 rev 03 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 8086,7191 card 0000,0000 rev 03 class 06,04,00 hdr 01
(II) PCI: 00:07:0: chip 8086,7110 card 0000,0000 rev 02 class 06,01,00 hdr 80
(II) PCI: 00:07:1: chip 8086,7111 card 0000,0000 rev 01 class 01,01,80 hdr 00
(II) PCI: 00:07:2: chip 8086,7112 card 0000,0000 rev 01 class 0c,03,00 hdr 00
(II) PCI: 00:07:3: chip 8086,7113 card 0000,0000 rev 02 class 06,80,00 hdr 00
(II) PCI: 00:0a:0: chip 1106,3043 card 1186,1400 rev 06 class 02,00,00 hdr 00
(II) PCI: 00:0b:0: chip 1274,1371 card 1274,8001 rev 07 class 04,01,00 hdr 00
(II) PCI: 01:00:0: chip 8086,7800 card 8086,0100 rev 21 class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x88 (VGA_EN is set)
(II) Bus 1 I/O range:
	[0] -1	0x0000d000 - 0x0000dfff (0x1000) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0xe4000000 - 0xe5ffffff (0x2000000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0xe6000000 - 0xe6ffffff (0x1000000) MX[B]
(II) Bus -1: bridge is at (0:7:0), (0,-1,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(--) PCI:*(1:0:0) Intel i740 (AGP) rev 33, Mem @ 0xe6000000/24, 0xe5000000/19
(II) Addressable bus resource ranges are
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0xe8000000 - 0xe800007f (0x80) MX[B]
	[1] -1	0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
	[2] -1	0xe5000000 - 0xe507ffff (0x80000) MX[B](B)
	[3] -1	0xe6000000 - 0xe6ffffff (0x1000000) MX[B](B)
	[4] -1	0x0000e800 - 0x0000e83f (0x40) IX[B]
	[5] -1	0x0000e400 - 0x0000e47f (0x80) IX[B]
	[6] -1	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[7] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0xe8000000 - 0xe800007f (0x80) MX[B]
	[1] -1	0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
	[2] -1	0xe5000000 - 0xe507ffff (0x80000) MX[B](B)
	[3] -1	0xe6000000 - 0xe6ffffff (0x1000000) MX[B](B)
	[4] -1	0x0000e800 - 0x0000e83f (0x40) IX[B]
	[5] -1	0x0000e400 - 0x0000e47f (0x80) IX[B]
	[6] -1	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[7] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xe8000000 - 0xe800007f (0x80) MX[B]
	[6] -1	0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
	[7] -1	0xe5000000 - 0xe507ffff (0x80000) MX[B](B)
	[8] -1	0xe6000000 - 0xe6ffffff (0x1000000) MX[B](B)
	[9] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[10] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[11] -1	0x0000e800 - 0x0000e83f (0x40) IX[B]
	[12] -1	0x0000e400 - 0x0000e47f (0x80) IX[B]
	[13] -1	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[14] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Loading extension GLX
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) LoadModule: "v4l"
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.0.1
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "i740"
(II) Loading /usr/X11R6/lib/modules/drivers/i740_drv.o
(II) Module i740: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.2
(II) v4l driver for Video4Linux
(II) I740: Driver for Intel i740 chipset: i740 (agp), i740 (pci)
(II) Primary Device is: PCI 01:00:0
(--) Assigning device section with no busID to primary device
(--) Chipset i740 (agp) found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xe8000000 - 0xe800007f (0x80) MX[B]
	[6] -1	0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
	[7] -1	0xe5000000 - 0xe507ffff (0x80000) MX[B](B)
	[8] -1	0xe6000000 - 0xe6ffffff (0x1000000) MX[B](B)
	[9] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[10] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[11] -1	0x0000e800 - 0x0000e83f (0x40) IX[B]
	[12] -1	0x0000e400 - 0x0000e47f (0x80) IX[B]
	[13] -1	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[14] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
(II) resource ranges after probing:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xe8000000 - 0xe800007f (0x80) MX[B]
	[6] -1	0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
	[7] -1	0xe5000000 - 0xe507ffff (0x80000) MX[B](B)
	[8] -1	0xe6000000 - 0xe6ffffff (0x1000000) MX[B](B)
	[9] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[10] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[11] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[12] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[13] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[14] -1	0x0000e800 - 0x0000e83f (0x40) IX[B]
	[15] -1	0x0000e400 - 0x0000e47f (0x80) IX[B]
	[16] -1	0x0000e000 - 0x0000e01f (0x20) IX[B]
	[17] -1	0x0000f000 - 0x0000f00f (0x10) IX[B]
	[18] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[19] 0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(**) I740(0): Depth 16, (--) framebuffer bpp 16

Fatal server error:
Caught signal 11.  Server aborting


When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.0.log".
Please report problems to xfree86@xfree86.org.

XF86Config-4
# XFree86 4.0 configuration generated by Xconfigurator

Section "ServerLayout"
	Identifier "XFree86 Configured"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

# By default, Red Hat Linux 6.0 and later use xfs

Section "Files"
	FontPath "unix/:7100"
EndSection

# Module loading section

Section "Module"
	Load  "dbe"		# Double-buffering
	Load  "GLcore"		# OpenGL support
	Load  "dri"		# Direct rendering infrastructure
	Load  "glx"		# OpenGL X protocol interface
	Load  "extmod"		# Misc. required extensions
	Load  "v4l"		# Video4Linux
	# Load  "pex5"		# PHIGS for X 3D environment (obsolete)
	# Load  "record"	# X event recorder
	# Load  "xie"		# X Image Extension (obsolete)
	# You only need the following two modules if you do not use xfs.
	# Load  "freetype"	 # TrueType font handler
	# Load  "type1"		# Adobe Type 1 font handler
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "keyboard"
	Option      "XkbLayout"	"us"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option      "Device" "/dev/mouse"
	Option      "Protocol" "PS/2"
	Option      "Emulate3Buttons" "on"
	Option      "ZAxisMapping" "4 5"
EndSection

Section "Monitor"
	Identifier "Legend 107S"
	VendorName "Unknown"
	ModelName  "Unknown"
	HorizSync 30 - 70
	VertRefresh 50 - 120
	Option "dpms"
EndSection

Section "Device"
	Identifier "Intel 740 (generic)"
	Driver "i740"
	BoardName "Unknown"
    #Option     "no_accel"
    #Option     "sw_cursor"
    #Option     "hw_cursor"
    #Option     "sgram"
    #Option     "sdram"
EndSection

Section "Device"
	Identifier "Linux Frame Buffer"
	Driver "fbdev"
	BoardName "Unknown"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device "Intel 740 (generic)"
	Monitor "Legend 107S"
	DefaultDepth 16
	Subsection "Display"
		Depth 16
		Modes "1024x768"
	EndSubSection
EndSection

Section "DRI"
	Mode 0666
EndSection



Comment 3 Mike A. Harris 2001-07-18 08:52:23 EDT
The i740 driver has a new fix applied that seems to work on my i740 ok.
Please try a recent rawhide release of 4.1.0-0.9.0 or later.  If you
still experience this same problem, reopen the bug.  Should work though.

Note You need to log in before you can comment on or make changes to this bug.